import { CreateNoteOptions, GetMe, GetUserHistory, GetUserNotes, GetUserNote, CreateUserNote, GetUserTeams, GetTeamNotes, CreateTeamNote, DeleteUserNote, DeleteTeamNote, UpdateUserNote, UpdateTeamNote } from './type';
export default class API {
    readonly accessToken: string;
    hackmdAPIEndpointURL: string;
    private axios;
    constructor(accessToken: string, hackmdAPIEndpointURL?: string);
    getMe(): Promise<GetMe>;
    getHistory(): Promise<GetUserHistory>;
    getNoteList(): Promise<GetUserNotes>;
    getNote(noteId: string): Promise<GetUserNote>;
    createNote(options: CreateNoteOptions): Promise<CreateUserNote>;
    updateNoteContent(noteId: string, content?: string): Promise<UpdateUserNote>;
    deleteNote(noteId: string): Promise<DeleteUserNote>;
    getTeams(): Promise<GetUserTeams>;
    getTeamNotes(teamPath: string): Promise<GetTeamNotes>;
    createTeamNote(teamPath: string, options: CreateNoteOptions): Promise<CreateTeamNote>;
    updateTeamNoteContent(teamPath: string, noteId: string, content?: string): Promise<UpdateTeamNote>;
    deleteTeamNote(teamPath: string, noteId: string): Promise<DeleteTeamNote>;
}
